import os
import sys

from .base import *


DEBUG = True
try:
   RUNNING_DEVSERVER = (sys.argv[1] == 'runserver')
except IndexError:
   RUNNING_DEVSERVER = False

# add a local.py file with a DATABASES section


SSL_ENABLED = False

DATABASES = {

    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': os.path.join(BASE_DIR, 'jmb_python_module.db'),
    }
}




DEBUG_TOOLBAR_CONFIG = {
    'INTERCEPT_REDIRECTS': False,
}
MIDDLEWARE_CLASSES += ('debug_toolbar.middleware.DebugToolbarMiddleware',)

SSL_ENABLED = False

INSTALLED_APPS += (
        'debug_toolbar',
        'django_extensions',
    )
DEBUG_TOOLBAR_PANELS = [
    'debug_toolbar.panels.versions.VersionsPanel',
    'debug_toolbar.panels.timer.TimerPanel',
    'debug_toolbar.panels.settings.SettingsPanel',
    'debug_toolbar.panels.headers.HeadersPanel',
    'debug_toolbar.panels.request.RequestPanel',
    'debug_toolbar.panels.sql.SQLPanel',
    'debug_toolbar.panels.staticfiles.StaticFilesPanel',
    'debug_toolbar.panels.templates.TemplatesPanel',
    'debug_toolbar.panels.cache.CachePanel',
    'debug_toolbar.panels.signals.SignalsPanel',
    'debug_toolbar.panels.logging.LoggingPanel',
    'debug_toolbar.panels.redirects.RedirectsPanel',
]
INTERNAL_IPS = [
       '127.0.0.1',
    ]

TEMPLATES[0]['DIRS'].insert(0, os.path.join(PROJECT_DIR, "templates_dev"))
TEMPLATES[0]['OPTIONS']['context_processors'] += ["django.core.context_processors.debug"]
TEMPLATES[0]['OPTIONS']['loaders'] = [
    'django.template.loaders.filesystem.Loader',
    'django.template.loaders.app_directories.Loader',
    'django.template.loaders.eggs.Loader',
    'jmb.jadmin.templateloaders.apptemplate.Loader',
]
