import autocomplete_light
import admin_tools.dashboard
from django.views.generic import RedirectView
from django.conf.urls import url, include, patterns
from django.contrib import admin
from django.conf import settings
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

autocomplete_light.autodiscover()
admin_tools.dashboard.autodiscover()

js_catalog_info = {
    'domain': 'djangojs',
    'packages': ('jmb_python_module',),
}
urlpatterns = patterns(
    '',
    url(r'^tinymce/', include('tinymce.urls')),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^admin_tools/', include('admin_tools.urls')),
    url(r'autocomplete/', include('autocomplete_light.urls')),
    (r'^jsi18n/$', 'django.views.i18n.javascript_catalog', js_catalog_info),
)
# Default
if settings.CMS_ENABLED:
    from cms.sitemaps import CMSSitemap

    urlpatterns += patterns(
        '',
        url(r'^sitemap.xml$', 'django.contrib.sitemaps.views.sitemap',
            {'sitemaps': {'cmspages': CMSSitemap}}),
        url(r'^', include('cms.urls')),
    )
else:
    urlpatterns += patterns(
        'django.views.generic.simple',
        ('^$', RedirectView.as_view(url='/admin/', permanent=True)),
    )

urlpatterns += staticfiles_urlpatterns()

if settings.DEBUG:
    urlpatterns = patterns(
        '',
        url(r'^media/(?P<path>.*)$', 'django.views.static.serve',
            {'document_root': settings.MEDIA_ROOT, 'show_indexes': True}),
        url(r'', include('django.contrib.staticfiles.urls'),),
    ) + urlpatterns
